API referencellms.txt
Webhook endpoints
Where we send events.
Create an endpoint
POST
/v1/webhook_endpointsThe secret is only returned once.
Fields
urlstringRequired- Must be
https. eventsstring[]Required- Which events to send.
curl -X POST "https://api.workmade.com/v1/webhook_endpoints" \ -H "Authorization: Bearer $WORKMADE_KEY" \ -H "Content-Type: application/json" \ -d '{ "url": "https://api.yourapp.com/webhooks/workmade", "events": [ "payment.settled", "payment.returned", "verification.completed" ] }'
{
"id": "we_1",
"object": "webhook_endpoint",
"url": "https://api.yourapp.com/webhooks/workmade",
"events": [
"payment.settled",
"payment.returned",
"verification.completed"
],
"secret": "whsec_9f2c41…",
"status": "enabled"
}Delete an endpoint
DELETE
/v1/webhook_endpoints/we_1Stops sending events at once.
curl -X DELETE "https://api.workmade.com/v1/webhook_endpoints/we_1" \ -H "Authorization: Bearer $WORKMADE_KEY"
{
"id": "we_1",
"object": "webhook_endpoint",
"deleted": true
}POSTCreate an endpoint
curl -X POST "https://api.workmade.com/v1/webhook_endpoints" \ -H "Authorization: Bearer $WORKMADE_KEY" \ -H "Content-Type: application/json" \ -d '{ "url": "https://api.yourapp.com/webhooks/workmade", "events": [ "payment.settled", "payment.returned", "verification.completed" ] }'
{
"id": "we_1",
"object": "webhook_endpoint",
"url": "https://api.yourapp.com/webhooks/workmade",
"events": [
"payment.settled",
"payment.returned",
"verification.completed"
],
"secret": "whsec_9f2c41…",
"status": "enabled"
}The event object
{
"id": "evt_1vEd",
"object": "event",
"type": "payment.settled",
"created": "2027-01-12T21:04:55Z",
"data": {
"object": {
"id": "pay_7Hc1",
"object": "payment",
"taxpayer_id": "tp_8Kq2",
"agency": "IRS",
"form": "1040-ES",
"quarter": "2026-Q4",
"amount": 418000,
"method": "electronic",
"status": "settled",
"send_on": "2027-01-12",
"due": "2027-01-15",
"confirmation": "270112-EFT-0419",
"attempts": []
}
}
}Was this page helpful?